Update customer details
curl --request PATCH \
--url https://server.twicecommerce.com/v1/admin/customers/{customerId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"marketingConsent": true,
"homeAddress": {},
"accommodation": "<string>",
"language": "<string>",
"companyName": "<string>",
"taxId": "<string>",
"dateOfBirth": "<string>",
"billingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"shippingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"attributes": {}
}
'import requests
url = "https://server.twicecommerce.com/v1/admin/customers/{customerId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"marketingConsent": True,
"homeAddress": {},
"accommodation": "<string>",
"language": "<string>",
"companyName": "<string>",
"taxId": "<string>",
"dateOfBirth": "<string>",
"billingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"shippingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"attributes": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
marketingConsent: true,
homeAddress: {},
accommodation: '<string>',
language: '<string>',
companyName: '<string>',
taxId: '<string>',
dateOfBirth: '<string>',
billingAddress: {
address: '<string>',
zipCode: '<string>',
city: '<string>',
country: '<string>',
state: '<string>',
details: '<string>',
deliveryNotes: '<string>'
},
shippingAddress: {
address: '<string>',
zipCode: '<string>',
city: '<string>',
country: '<string>',
state: '<string>',
details: '<string>',
deliveryNotes: '<string>'
},
attributes: {}
})
};
fetch('https://server.twicecommerce.com/v1/admin/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"email": "jsmith@example.com",
"customerType": "individual",
"marketingConsent": true,
"status": "active",
"aggregateData": {
"totalCount": 123,
"lastCreated": "2023-11-07T05:31:56Z",
"lastUpdated": "2023-11-07T05:31:56Z"
},
"lastName": "<string>",
"phone": "<string>",
"companyName": "<string>",
"taxId": "<string>",
"dateOfBirth": "<string>",
"language": "<string>",
"marketingConsentUpdatedAt": "<string>",
"billingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"shippingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"archivedAt": "2023-11-07T05:31:56Z",
"attributes": {
"id": "<string>",
"name": "<string>",
"key": "<string>",
"value": "<string>",
"format": "text",
"groupId": "<string>",
"groupName": "<string>",
"systemGroup": "sustainability",
"origin": "article"
},
"documents": {
"fileId": "<string>",
"customerId": "<string>",
"orderIndex": 123,
"comment": "<string>",
"document": {
"id": "<string>",
"tenantId": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"originalName": "<string>",
"folderPath": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"updatedById": "<string>",
"createdById": "<string>"
}
},
"tags": {
"id": "<string>",
"value": "<string>",
"scope": "inventory",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Updates the live CRM record (latest-wins). Values already captured on historical orders are snapshots and stay as they were at order time.
PATCH
/
v1
/
admin
/
customers
/
{customerId}
Update customer details
Authorizations
API key for the Twice API
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Body
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Available options:
individual, business Response
200
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Available options:
individual, business Available options:
active, archived Hide child attributes
Hide child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Available options:
text, number, boolean, date, datetime, formula, select, multiselect Available options:
sustainability, system Available options:
article, sku, customer, catalog Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Available options:
inventory, catalog, customers, orders Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?